com.h3c.sdn.metric

## Interface MetricRegistryListener

- All Superinterfaces:
    EventListener

      public interface MetricRegistryListener
      extends EventListener

  Listeners for events from the registry. Listeners must be thread-safe.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCounterAdded(TimeStampedCounter added)` Called when a `TimeStampedCounter` is added to the `MetricRegistry`.
    `void` | `onCounterRemoved(TimeStampedCounter removed)` Called when a `TimeStampedCounter` is removed from the `MetricRegistry`.
    `void` | `onGaugeAdded(TimeStampedGauge added)` Called when a `TimeStampedGauge` is added to the `MetricRegistry`.
    `void` | `onGaugeRemoved(TimeStampedGauge removed)` Called when a `TimeStampedGauge` is removed from the `MetricRegistry`.
    `void` | `onHistogramAdded(TimeStampedHistogram added)` Called when a `TimeStampedHistogram` is added to the `MetricRegistry`.
    `void` | `onHistogramRemoved(TimeStampedHistogram removed)` Called when a `TimeStampedHistogram` is removed from the `MetricRegistry`.
    `void` | `onMeterAdded(TimeStampedMeter added)` Called when a `TimeStampedMeter` is added to the `MetricRegistry`.
    `void` | `onMeterRemoved(TimeStampedMeter removed)` Called when a `TimeStampedMeter` is removed from the `MetricRegistry`.
    `void` | `onRatioGaugeAdded(TimeStampedRatioGauge added)` Called when a `TimeStampedRatioGauge` is added to the `MetricRegistry`.
    `void` | `onRatioGaugeRemoved(TimeStampedRatioGauge removed)` Called when a `TimeStampedRatioGauge` is removed from the `MetricRegistry`.
    `void` | `onRollingCounterAdded(TimeStampedRollingCounter added)` Called when a `TimeStampedRollingCounter` is added to the `MetricRegistry`.
    `void` | `onRollingCounterRemoved(TimeStampedRollingCounter removed)` Called when a `TimeStampedRollingCounter` is removed from the `MetricRegistry`.
    `void` | `onTimerAdded(TimeStampedTimer added)` Called when a `TimeStampedTimer` is added to the `MetricRegistry`.
    `void` | `onTimerRemoved(TimeStampedTimer removed)` Called when a `TimeStampedTimer` is removed from the `MetricRegistry`.

- - ### Method Detail

    - #### onCounterAdded

          void onCounterAdded(TimeStampedCounter added)

      Called when a `TimeStampedCounter` is added to the `MetricRegistry`.
      Parameters:
        `added` - `TimeStampedCounter` that was added

    - #### onCounterRemoved

          void onCounterRemoved(TimeStampedCounter removed)

      Called when a `TimeStampedCounter` is removed from the `MetricRegistry`.
      Parameters:
        `removed` - `TimeStampedCounter` that was removed

    - #### onGaugeAdded

          void onGaugeAdded(TimeStampedGauge added)

      Called when a `TimeStampedGauge` is added to the `MetricRegistry`.
      Parameters:
        `added` - `TimeStampedGauge` that was added

    - #### onGaugeRemoved

          void onGaugeRemoved(TimeStampedGauge removed)

      Called when a `TimeStampedGauge` is removed from the `MetricRegistry`.
      Parameters:
        `removed` - `TimeStampedGauge` that was removed

    - #### onHistogramAdded

          void onHistogramAdded(TimeStampedHistogram added)

      Called when a `TimeStampedHistogram` is added to the `MetricRegistry`.
      Parameters:
        `added` - `TimeStampedHistogram` that was added

    - #### onHistogramRemoved

          void onHistogramRemoved(TimeStampedHistogram removed)

      Called when a `TimeStampedHistogram` is removed from the `MetricRegistry`.
      Parameters:
        `removed` - `TimeStampedHistogram` that was removed

    - #### onMeterAdded

          void onMeterAdded(TimeStampedMeter added)

      Called when a `TimeStampedMeter` is added to the `MetricRegistry`.
      Parameters:
        `added` - `TimeStampedMeter` that was added

    - #### onMeterRemoved

          void onMeterRemoved(TimeStampedMeter removed)

      Called when a `TimeStampedMeter` is removed from the `MetricRegistry`.
      Parameters:
        `removed` - `TimeStampedMeter` that was removed

    - #### onRatioGaugeAdded

          void onRatioGaugeAdded(TimeStampedRatioGauge added)

      Called when a `TimeStampedRatioGauge` is added to the `MetricRegistry`.
      Parameters:
        `added` - `TimeStampedRatioGauge` that was added

    - #### onRatioGaugeRemoved

          void onRatioGaugeRemoved(TimeStampedRatioGauge removed)

      Called when a `TimeStampedRatioGauge` is removed from the `MetricRegistry`.
      Parameters:
        `removed` - `TimeStampedRatioGauge` that was removed

    - #### onRollingCounterAdded

          void onRollingCounterAdded(TimeStampedRollingCounter added)

      Called when a `TimeStampedRollingCounter` is added to the `MetricRegistry`.
      Parameters:
        `added` - `TimeStampedRollingCounter` that was added

    - #### onRollingCounterRemoved

          void onRollingCounterRemoved(TimeStampedRollingCounter removed)

      Called when a `TimeStampedRollingCounter` is removed from the `MetricRegistry`.
      Parameters:
        `removed` - `TimeStampedRollingCounter` that was removed

    - #### onTimerAdded

          void onTimerAdded(TimeStampedTimer added)

      Called when a `TimeStampedTimer` is added to the `MetricRegistry`.
      Parameters:
        `added` - `TimeStampedTimer` that was added

    - #### onTimerRemoved

          void onTimerRemoved(TimeStampedTimer removed)

      Called when a `TimeStampedTimer` is removed from the `MetricRegistry`.
      Parameters:
        `removed` - `TimeStampedTimer` that was removed

Copyright © 2014. All Rights Reserved.